sterf(3)

NAME
sterf - sterf: eig, QR iteration

SYNOPSIS

  Functions

subroutine dsterf (n, d, e, info)
DSTERF
subroutine ssterf (n, d, e, info)
SSTERF

Detailed Description

Function Documentation

  subroutine dsterf (integer n, double precision, dimension( * ) d, double precision, dimension( * ) e, integer info)

DSTERF

Purpose:

    !>
    !> DSTERF computes all eigenvalues of a symmetric tridiagonal matrix
    !> using the Pal-Walker-Kahan variant of the QL or QR algorithm.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The order of the matrix.  N >= 0.
    !>

    D

    !>          D is DOUBLE PRECISION array, dimension (N)
    !>          On entry, the n diagonal elements of the tridiagonal matrix.
    !>          On exit, if INFO = 0, the eigenvalues in ascending order.
    !>

    E

    !>          E is DOUBLE PRECISION array, dimension (N-1)
    !>          On entry, the (n-1) subdiagonal elements of the tridiagonal
    !>          matrix.
    !>          On exit, E has been destroyed.
    !>

    INFO

    !>          INFO is INTEGER
    !>          = 0:  successful exit
    !>          < 0:  if INFO = -i, the i-th argument had an illegal value
    !>          > 0:  the algorithm failed to find all of the eigenvalues in
    !>                a total of 30*N iterations; if INFO = i, then i
    !>                elements of E have not converged to zero.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine ssterf (integer n, real, dimension( * ) d, real, dimension( * ) e, integer info)

SSTERF

Purpose:

    !>
    !> SSTERF computes all eigenvalues of a symmetric tridiagonal matrix
    !> using the Pal-Walker-Kahan variant of the QL or QR algorithm.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The order of the matrix.  N >= 0.
    !>

    D

    !>          D is REAL array, dimension (N)
    !>          On entry, the n diagonal elements of the tridiagonal matrix.
    !>          On exit, if INFO = 0, the eigenvalues in ascending order.
    !>

    E

    !>          E is REAL array, dimension (N-1)
    !>          On entry, the (n-1) subdiagonal elements of the tridiagonal
    !>          matrix.
    !>          On exit, E has been destroyed.
    !>

    INFO

    !>          INFO is INTEGER
    !>          = 0:  successful exit
    !>          < 0:  if INFO = -i, the i-th argument had an illegal value
    !>          > 0:  the algorithm failed to find all of the eigenvalues in
    !>                a total of 30*N iterations; if INFO = i, then i
    !>                elements of E have not converged to zero.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.